
# --- Generate the form-header ---------------------------------------------
sub MyFormHeader($) # Plugin
{
   my $cTitlePI = shift;

   my $cDelim = "&nbsp;" x 3 . "|" . "&nbsp;" x 3;

   my $cResult = (td({-ALIGN   => "LEFT"},
                     &PathForm(" ", " ~ ", " ")) .
                  td({-ALIGN   => "CENTER"},
                     $cDelim . &ResolveRefField("wwwdb://WWWdb:News",               i18n("News")) .
                     $cDelim . &ResolveRefField("wwwdb://WWWdb:Tools:ShowDoc;id=5", i18n("Download")) .
                     $cDelim . &ResolveRefField("wwwdb://WWWdb:Nav;cat=6",          i18n("Demo")) .
                     $cDelim . &ResolveRefField("mailto:" . &MyVal('WWWdb', 'MailWebmaster', $ENV{"SERVER_ADMIN"}),
                                                i18n("Webmaster")) .
                     ($oSessionGL->getState("ActualLogin") && !$oSessionGL->getState("IsAnonymous")?
                      ($cDelim . &ResolveRefField("wwwdb://WWWdb:System:Logout", i18n("Logout"))):
                      "") .
                     $cDelim) .
                  td({-ALIGN   => "RIGHT"},
                     "&copy; 1999-2002 by " .  &ResolveRefField("http://www.twc.de", "TWC")));

   return table({-WIDTH   => "100%",
                 -BORDER  => 0},
                TR($cResult));


}


# --- Generate the form-header ---------------------------------------------
sub MyTableHeader($) # Plugin
{
   my $cTitlePI = shift;

   my $cResult = "";

   $cTitlePI = "&nbsp;"
       if !$cTitlePI;

   $cResult .=
       table({-WIDTH   => "100%",
              -BORDER  => 0},
             (TR(td(p({-ALIGN => "LEFT"},
                      h4((&EncodeHtml
                          (i18n(&MyVal("Header", "Title"))))))),
                 td(p({-ALIGN => "CENTER"},
                      h4(&EncodeHtml(i18n($cTitlePI))))),
                 td(p({-ALIGN => "RIGHT"},
                      a({-HREF => "http://wwwdb.org"},
                        &GenImage("Images/WWWdb_025pt.png",
                                  "WWWdb Homepage",
                                  0)))))));

   $cResult .= hr({-noshade => 1,
                   -size => 1});

   return $cResult;

}



1;
